<template>
	<div
		class="text-h5 row items-center"
		:class="{ 'text-h6': $q.screen.lt.sm, [className]: true }"
	>
		<span class="font-monstserrat-bold text-uppercase" id="headerTitle">{{
			title
		}}</span>
		<span class="text-subtitle2 text-white-smoke">{{ subTitle }}</span>
	</div>
</template>

<script>
	export default {
		props: {
			title: {
				type: String,
				required: true,
			},
			subTitle: {
				type: String,
				required: false,
				default: null,
			},
			className: {
				type: String,
				default: "justify-between text-dark",
			},
		},
	};
</script>

<style></style>
